Tuesday, January 26, 2010

Google App Engine 0.0.9 gems released

We just released the 0.0.9 google-appengine gem. This new version of App Engine Tools addresses a previous issue with JRuby-Rack and facilitates bundling gems with Java extensions. I've created a couple sample apps, that use some common gems.
Later today, during the "Google Appengine Java: Groovy baby!" talk at Jfokus in Stockholm, Peter Lind will be giving a presentation about JRuby on AppEngine.

Thursday, January 21, 2010

Google App Engine 0.0.8 gems released

We recently released the 0.0.8 google-appengine gem. This new version of App Engine Tools is compatible with the latest version of Gem Bundler. We also added support for Rails 2.3.5 by including JRuby-Rack 0.9.6. Unfortunately, there is an incompatibility with App Engine, but we'll have a new release to fix this very soon. You can fix it from your app directory like so:

  cd app_dir
  curl -sO http://jruby-primer.appspot.com/tools/fix008.rb
  ruby fix008.rb

We have had a great deal of community contribution recently. We assumed Rails 2 would not work without rubygems, so we were waiting for Rails 3. Fortunately, Takeru Sasaki was able to patch the Rails 2.3.5 calls to rubygems, and now we have it working. Rails 2.3.5 currently spins up several seconds faster than Rails 3, and just a few seconds behind Sinatra.

Takeru also created a datastore adapter called TinyDS. I created a TinyDS integration plugin that handles ActiveRecord method calls. Josh Moore also created a DM integration plugin, so now we have both adapters working effortlessly with Rails 2.3.5 generated scaffold.